// TODO nest inside figure.image
figure.cover
  display flex
  justify-content center
  align-items center
  width 100%
  height 100%
  img, object
    min-width 100%
    min-height 100%
    object-fit contain
  figcaption
    position absolute
    left 0
    right 0
    bottom 0
    background-color rgba(0, 0, 0, 0.5)
    color $c-white
    font-size 3rem
    font-weight $weight-light
    text-shadow 0 0 0.25px rgba(0, 0, 0, 0.8)
    padding 0.5em 0
    text-align center
  &.figtop figcaption
    top 0
    bottom auto
  &.site figcaption
    background-color $c-blue
    //font-size 2.5rem
figure.fit
  display flex
  justify-content center
  align-items center
  width 100%
  height 100%
  img, svg
    max-width 100%
    max-height 100%
    min-width 100%
    min-height 100%
    object-fit contain
figure.pad-slight
  padding 2%
figure.pad
  padding 5%
figure.pad-heavy
  padding 10%
figure.pan-left,
figure.pan-right
  background-color $c-light-gray
  width sw(200)
  align-self flex-start
.bespoke-active figure.pan-right
  transition margin-left 2s cubic-bezier(0.455, 0.030, 0.515, 0.955)
  margin-left sw(-100)
iframe.twitter-tweet
  transform scale(2)
figure.antora
  padding sw(10)
  display flex
  flex-direction row
  img
    min-width 60%
    position relative
    top 1rem
  figcaption
    position relative
    top -1rem
    width 40%
    line-height 1
    order -1
    font-size 6rem
    //font-weight $weight-light
    font-weight $weight-medium
    text-align center
figure.quote
  figcaption::before
    content '\2014'
    padding-right 0.5ex
  &.excerpt
    margin 0 5%
    border-left 0.5ex solid rgba(255, 255, 255, 0.1)
    padding-left 2rem
    color inherit
    display flex
    flex-direction column
    justify-content center
    line-height 1.5
    blockquote
      margin 0
      p
        margin-top 0
      em
        font-style normal
        font-weight $weight-semibold
        color $c-orange
    figcaption
      margin-top 1em
      font-size 2rem
      opacity 0.5
  &.stephen-ogrady
    height 100%
    display flex
    flex-direction column
    justify-content center
    align-items flex-end
    padding sw(6)
    background #f5f5f5 url(../images/stephen-ogrady-shaded.jpg) no-repeat -25% bottom / 55%
    blockquote
      width 60%
      font-size 2.5rem
      line-height 1.5
      margin 0.5em 0 0
      p
        margin 0
    figcaption
      margin 1em 1ch 0 0
      font-size 2rem
      color $c-redmonk
.word-reaction
  margin-top 0
  width 45%
  font-size 8rem
  display flex
  flex-direction column
  justify-content space-evenly
  height 100%
  .primary
    display flex
    justify-content space-between
  .reaction
    text-shadow 1px 1px 3px rgba(0, 0, 0, 0.75)
// FIXME quick hack!
ul.fit.build-items
  margin-top 0
  font-size 4rem
  text-transform uppercase
  font-weight $weight-semibold
  line-height 1
